package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsEmsData;

/**
 * 数据Mapper接口
 * 
 * @author xzzn
 * @date 2025-12-09
 */
public interface EmsEmsDataMapper 
{
    /**
     * 查询数据
     * 
     * @param id 数据主键
     * @return 数据
     */
    public EmsEmsData selectEmsEmsDataById(Long id);

    /**
     * 查询数据列表
     * 
     * @param emsEmsData 数据
     * @return 数据集合
     */
    public List<EmsEmsData> selectEmsEmsDataList(EmsEmsData emsEmsData);

    /**
     * 新增数据
     * 
     * @param emsEmsData 数据
     * @return 结果
     */
    public int insertEmsEmsData(EmsEmsData emsEmsData);

    /**
     * 修改数据
     * 
     * @param emsEmsData 数据
     * @return 结果
     */
    public int updateEmsEmsData(EmsEmsData emsEmsData);

    /**
     * 删除数据
     * 
     * @param id 数据主键
     * @return 结果
     */
    public int deleteEmsEmsDataById(Long id);

    /**
     * 批量删除数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsEmsDataByIds(Long[] ids);
}
